Package Details: atlassian-jira 7.1.8-1

Git Clone URL: https://aur.archlinux.org/atlassian-jira.git (read-only)
Package Base: atlassian-jira
Description: Bug tracking, issue tracking and project management software
Upstream URL: https://www.atlassian.com/software/jira
Licenses: custom
Submitter: numkem
Maintainer: rob2uk
Last Packager: rob2uk
Votes: 12
Popularity: 0.005021
First Submitted: 2013-01-14 17:20
Last Updated: 2016-06-29 11:53

Latest Comments

rob2uk commented on 2016-06-29 11:53

Adopted and updated to 7.1.8

tmoore commented on 2016-04-05 21:02

PS - I also had to modify this to work with openjdk 8

/opt/atlassian-jira/bin/check-java.sh

10c10
< "$_RUNJAVA" -version 2>&1 | grep "java version" | (
---
> "$_RUNJAVA" -version 2>&1 | grep "version" | (

tmoore commented on 2016-04-05 20:56

FYI.. updated PKGBUILD for 7.1.2

# Maintainer: Vlad <vlad@archlinux.net>
# Contributor: Sebastien Bariteau <numkem@gmail.com>

pkgname=atlassian-jira
pkgver=7.1.2
pkgrel=1
pkgdesc="Bug tracking, issue tracking and project management software"
url="https://www.atlassian.com/software/jira"
license=('custom')
arch=('i686' 'x86_64')
depends=('java-runtime>=7')
optdepends=('mysql-connector-java: connect to MySQL'
'libcups: used by bin/config.sh'
'fontconfig: used by bin/config.sh')
backup=('etc/conf.d/jira'
'opt/atlassian-jira/conf/server.xml'
'opt/atlassian-jira/atlassian-jira/WEB-INF/classes/jira-application.properties')
install='jira.install'
source=("https://www.atlassian.com/software/jira/downloads/binary/atlassian-jira-software-${pkgver}-jira-${pkgver}.tar.gz"
'jira.conf.d'
'jira.service')
sha256sums=('4837de0425845966a4138e518da5325436bbc6c91bc78e7497bfc0384dfa411b'
'd1ca27e15edb0032a37b1b0df302209e78d11671d44b6a239a017be9881708d0'
'cff80b2a8f930ba3d1c11df809afa11ffe29b78d946689cb588b1ce2f4c01e5d')

package() {
mkdir -p "${pkgdir}/opt/atlassian-jira/"
cp -r ${srcdir}/atlassian-jira-software-${pkgver}-standalone/* ${pkgdir}/opt/atlassian-jira/
# remove unneeded *.bat files
find "${pkgdir}/opt/atlassian-jira/bin" -name '*.bat' -type f -exec rm "{}" \;

# Setup systemd service
install -dm755 "${pkgdir}/usr/lib/systemd/system"
install -Dm644 "${srcdir}/jira.service" "${pkgdir}/usr/lib/systemd/system"
install -Dm644 "${srcdir}/jira.conf.d" "${pkgdir}/etc/conf.d/jira"
}

namtabmai commented on 2015-03-19 21:11

The core arch packages provide "java-runtime" and "java-runtime-openjdk" only, e.g.

https://www.archlinux.org/packages/extra/i686/jre8-openjdk/

And again, according to the arch java packaging guidelines ( which I'll quote directly )

"For most packages, java-runtime is what is needed to simply run software written in Java"

vlad commented on 2015-03-07 18:36

https://aur.archlinux.org/packages/jdk/ provides also "java-runtime-jre", if I have understood you correctly.

vlad commented on 2015-03-07 18:35

https://aur.archlinux.org/packages/jdk/ provides both "java-runtime-jre" and "java-runtime", if I have understood you correctly.

namtabmai commented on 2015-03-07 13:04

Could you change the depends from "java-runtime-jre" to "java-runtime"? See
https://wiki.archlinux.org/index.php/Java_package_guidelines#Dependencies

JDKs also provide a working java environment so either jre or jdk can be used.

vlad commented on 2014-12-18 23:00

depends=('jre7') updated to depends=('java-runtime-jre>=7')

snout commented on 2014-12-18 21:21

Thanks for picking up on this package. Just wondering about the hard dependency on jre7. Things work just fine with jdk8, which is my default java environment, yet I'm forced to install a java runtime environment that I don't even use...

vlad commented on 2014-12-10 10:26

Done.

All comments